<template>
    <div :class="$style.container">
        {{ analyticsStore.loading }}
        <c-loading v-if="analyticsStore.loading" />
        <template v-else>
            <slot></slot>
        </template>
    </div>
</template>

<script>
import CLoading from '@/components/CLoading'
import { useAnalyticsStore } from '@/store/analytics'
// const analyticsStore = useAnalyticsStore()
export default {
    name: 'MainMasterPage',

    components: {
        CLoading,
    },

    computed: {
        analyticsStore() {
            // const analyticsStore = useAnalyticsStore()

            // console.log('----------analyticsStore')
            // console.log(analyticsStore)
            return useAnalyticsStore()
        },
        isLoading() {
            useAnalyticsStore().loading
        },
    },
}
</script>

<style lang="scss" module>
.container {
    margin: 32px;
}
</style>
